Loading...
Searching...
No Matches
get_addr_user_callback Struct Reference

Convenience struct for passing addr to user callback. More...

Collaboration diagram for get_addr_user_callback:
[legend]

## Public Attributes

mptcpd_kpm_get_addr_cb_t | get_addr
| User supplied get_addr/dump_addrs callback.
void * | data
| User data to be passed to one of the above callback.
mptcpd_complete_func_t | complete
bool | dump
| Callback is for a dump_addrs call.

## Detailed Description

Convenience struct for passing addr to user callback.

## Member Data Documentation

## complete

mptcpd_complete_func_t get_addr_user_callback::complete

Function to be called upon completion of the get_addr/dump_addrs call. This function is called regardless of whether or not the get_addr/dump_addrs call asynchronously returns a network address. It is also only called once, whereas the above `get_addr` callback may be called multiple times during a `dump_addrs` call.

The documentation for this struct was generated from the following file:

- src/netlink_pm_upstream.c